<?php 

	class Sonne {
		// For some amazing reason it doesn't work with default menu and only with custom.
		// and at least 1 page to be added with the custom menu.
		// Yay!
	
		
		public function __construct() {
			add_action( 'init', array(&$this, 'register_sonne_menus' ));
			// $this->register_sonne_menus();
			$this->register_sonne_right_sidebar();
			$this->script_addition();
			$this->css_addition();
			$this->register_post_formats();
			$this->register_header_changer();
			add_theme_support( 'post-thumbnails');
			add_theme_support('automatic-feed-links');
			add_theme_support( 'custom-header' );
			add_custom_image_header(array(&$this, 'header_style'), array(&$this, 'admin_header_style'));
		}

		/* Register Menu areas for header and footer */
		public function register_sonne_menus() {
			register_nav_menus(
				array( 
					'header-menu' => 'Header Menu',
				//	'footer-menu' => __( 'Footer Menu' )
				));
		}
		
		/* hi 21st century, hi post formats */
		public function register_post_formats() {
			add_theme_support('post-formats',array('aside','image','link','quote'));
		}
		
		/* Register Sonne Right sidebar */
		private function register_sonne_right_sidebar() {
			register_sidebar(array(
			  'id' => 'sonne-right-sidebar',
			  'name' => 'Sonne Right',
			  'description' => 'Right sidebar for Sonne theme',
			  'before_title' => '<h2><span></span>',
			  'after_title' => '</h2>'
			));
		}
		
		// register a way to change the moon logo 
		private function register_header_changer() {
			define('NO_HEADER_TEXT', true );
			define('HEADER_TEXTCOLOR', '');
			define('HEADER_IMAGE', '%s/img/halloween-misty.png'); // %s is the template dir uri
			define('HEADER_IMAGE_WIDTH', 150); 
			define('HEADER_IMAGE_HEIGHT', 150);
			
			add_image_size( 'small-feature', HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT ); 
		}
		
		// gets included in the site header
		function header_style() {
		    ?><style type="text/css">
		        #header {
		            background: url(<?php header_image(); ?>);
		        }
		    </style><?php
		}
		
		// gets included in the admin header
		function admin_header_style() {
		    ?><style type="text/css">
		        #headimg {
		            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
		            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
		            background: no-repeat;
		        }
		    </style><?php
		}
		
		/* add required javascripts */
		function script_addition() {
			wp_enqueue_script('jquery');
			
			wp_register_script('sonne_html5', get_template_directory_uri(). '/js/html5.js', array('jquery'), '1.0', true);
			wp_register_script('sonne', get_template_directory_uri(). '/js/sonne.js', array('jquery'), '1.0', true);
			wp_register_script('ddsmoothmenu', get_template_directory_uri(). '/js/ddsmoothmenu.js', array('jquery'), '1.0', true);
			
			wp_enqueue_script('sonne_html5');
			wp_enqueue_script('sonne');
			wp_enqueue_script('ddsmoothmenu');
		}
		
		/* add css */
		function css_addition() {
			wp_register_style('ddsmoothmenu', get_template_directory_uri(). '/css/ddsmoothmenu.css', array(), '1.0', 'screen');
			wp_enqueue_style('ddsmoothmenu');
		}
		
	}
	// content restriction for large images

	if ( ! isset( $content_width ) ) $content_width = 700;
	
	$sonne = new Sonne(); 

	include_once('helpers.php');
	add_filter('wp_page_menu','sonne_my_page_menu_filter');
	
?>